QGIS Application - Bug report #17828
Align Rasters tool does not respect NODATA value.
2018-01-09 05:56 PM - Simon Waldman

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.18.15 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: end of life
Crashes QGIS or corrupls data: Copied to github as #: 25723
Description

If Align Rasters is used on rasters that have a NODATA value set, it does not respect this but treats this as a real numeric value instead.

To reproduce:

- Create two rasters of different resolutions, both having NODATA set to (for example) 99999-and-having-some-regions-of missing-data
Use Align Rasters to resample the lower-res one to match the higher-res, using something other than Nearest Neighbour.

- Note that the output raster does not have a NODATA value set. Additionally it includes, aroud the missing regions, smooth gradients from
-99999 to the real values. One could reset the NODATA metadata, but one would be left with these gradients.

So two things to remedy: Firstly that the output file needs to have a NODATA value (presumably user-selectable, to cope with the case
where input files have different values), but more importantly that the NODATA values of the input files need to be respected when

resampling.

Thank you for considering!

History

#1 - 2019-01-21 12:34 AM - Jiirgen Fischer
- Status changed from Open to Feedback

Please test with QGIS 3.4 - QGIS 2.18 reached it's end of life.

#2 - 2019-03-09 03:10 PM - Giovanni Manghi
- Resolution set to end of life
- Status changed from Feedback to Closed

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-Itr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4
Most plugins have been either migrated or incorporated into the core QGIS code base.
We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.
The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.
